<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    public function up(): void
    {
        if (DB::getDriverName() === 'mysql') {
            DB::statement("ALTER TABLE `vendors` MODIFY `type` ENUM('msorg','smeplug','vtpass','vtbox') NOT NULL");
        }
    }

    public function down(): void
    {
        if (DB::getDriverName() === 'mysql') {
            DB::statement("ALTER TABLE `vendors` MODIFY `type` ENUM('msorg','smeplug','vtpass') NOT NULL");
        }
    }
};
